> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# PAN Aadhaar Link Status

> API verifies the PAN Aadhaar Link for a user.

<Card title="Run in Postman" icon="https://mintcdn.com/sandboxfinancialtechnologiesprivatelimited/gviqebbpT5NUt_6i/static/svg/Postman.svg?fit=max&auto=format&n=gviqebbpT5NUt_6i&q=85&s=da47f2b7e10d87befec951aed9468de3" horizontal arrow="true" href="https://www.postman.com/in-co-sandbox/sandbox-api/request/mtdvji3/pan-aadhaar-link-status" width="2030" height="2031" data-path="static/svg/Postman.svg" />


## OpenAPI

````yaml api-reference/kyc/openapi.json POST /kyc/pan-aadhaar/status
openapi: 3.1.0
info:
  title: in-co-sandbox-kyc
  description: ''
  version: 1.0.0
servers:
  - url: https://test-api.sandbox.co.in
    description: test
  - url: https://api.sandbox.co.in
    description: prod
security: []
tags:
  - name: kyc
  - name: digilocker-sdk
  - name: digilocker
  - name: aadhaar
  - name: bank
  - name: pan
  - name: mca
  - name: entitylocker
  - name: entitylocker-sdk
paths:
  /kyc/pan-aadhaar/status:
    post:
      tags:
        - kyc
        - pan
      summary: PAN Aadhaar Link Status
      description: >-
        Linking your PAN card with Aadhaar has been made mandatory for certain
        services, such as filing your income tax returns. Use this API to get
        PAN-Aadhaar link status.
      operationId: verifyPANAadhaarLinkStatus
      parameters:
        - name: Authorization
          in: header
          description: >-
            JWT access token. For token-generation steps, refer to the
            [Quickstart
            Guide](https://developer.sandbox.co.in/guides/get-started/quickstart).
          required: true
          example: '{{access_token}}'
          schema:
            type: string
        - name: x-api-key
          in: header
          description: API key used to identify and authenticate the client.
          required: true
          example: '{{api_key}}'
          schema:
            type: string
        - name: x-api-version
          in: header
          description: Specifies the API version for the request.
          required: false
          example: 1.0.0
          schema:
            type: string
        - name: Content-Type
          in: header
          description: Media type of the request body.
          required: false
          example: application/json
          schema:
            type: string
            enum:
              - application/json
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                '@entity':
                  type: string
                  enum:
                    - in.co.sandbox.kyc.pan_aadhaar.status
                pan:
                  type: string
                  pattern: ^[A-Z]{5}[0-9]{4}[A-Z]{1}$
                  description: >-
                    Permanent Account Number to be verified against Aadhaar
                    linkage records.
                aadhaar_number:
                  type: string
                  pattern: ^[0-9]{12}$
                  description: >-
                    12-digit Aadhaar number of the PAN holder used to validate
                    PAN–Aadhaar linkage.
                consent:
                  type: string
                  enum:
                    - 'Y'
                    - 'y'
                  description: >-
                    Explicit consent from the end user to retrieve and verify
                    PAN and Aadhaar linkage information.
                reason:
                  type: string
                  minLength: 20
                  description: Purpose for requesting PAN–Aadhaar verification.
              required:
                - '@entity'
                - pan
                - aadhaar_number
                - consent
                - reason
              additionalProperties: false
            examples:
              200 - Success:
                value:
                  '@entity': in.co.sandbox.kyc.pan_aadhaar.status
                  pan: XXXPX1234A
                  aadhaar_number: '123456789012'
                  consent: 'y'
                  reason: For Testing
                summary: 200 - Success
              200 - PAN-aadhaar not linked:
                value:
                  '@entity': in.co.sandbox.kyc.pan_aadhaar.status
                  pan: XXXPX1234X
                  aadhaar_number: '999999999999'
                  consent: 'y'
                  reason: For Testing
                summary: 200 - PAN-aadhaar not linked
              200 - Invalid Aadhaar:
                value:
                  '@entity': in.co.sandbox.kyc.pan_aadhaar.status
                  pan: XXXPX3456X
                  aadhaar_number: '999999999999'
                  consent: 'y'
                  reason: For Testing
                summary: 200 - Invalid Aadhaar
              200 - Invalid PAN:
                value:
                  '@entity': in.co.sandbox.kyc.pan_aadhaar.status
                  pan: XXXPX3456X
                  aadhaar_number: '999999999999'
                  consent: 'y'
                  reason: For Testing
                summary: 200 - Invalid PAN
              422 - Individual pan required:
                value:
                  '@entity': in.co.sandbox.kyc.pan_aadhaar.status
                  pan: XXPP45X
                  aadhaar_number: '666666666666'
                  consent: 'y'
                  reason: For Testing
                summary: 422 - Individual pan required
              422 - Invalid pan pattern:
                value:
                  '@entity': in.co.sandbox.kyc.pan_aadhaar.status
                  pan: XXPP45X
                  aadhaar_number: '666666666666'
                  consent: 'y'
                  reason: For Testing
                summary: 422 - Invalid pan pattern
              422 - Consent is required:
                value:
                  '@entity': in.co.sandbox.kyc.pan_aadhaar.status
                  pan: XXPPX2345X
                  aadhaar_number: '666666666666'
                  consent: 'n'
                  reason: For Testing
                summary: 422 - Consent is required
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  timestamp:
                    type: integer
                  transaction_id:
                    type: string
                  data:
                    type: object
                    properties:
                      '@entity':
                        type: string
                      aadhaar_seeding_status:
                        type: string
                        enum:
                          - 'y'
                          - 'n'
                          - na
                      message:
                        type: string
                    required:
                      - '@entity'
                      - aadhaar_seeding_status
                      - message
                required:
                  - code
                  - timestamp
                  - transaction_id
                  - data
              examples:
                200 - Success:
                  summary: 200 - Success
                  value:
                    code: 200
                    timestamp: 1000000000000
                    transaction_id: de97e30a-2043-4ab0-84ff-0fbba3434a8f
                    data:
                      '@entity': in.co.sandbox.kyc.pan_aadhaar.status.response
                      aadhaar_seeding_status: 'y'
                      message: Your PAN is linked to Aadhaar Number  XXXX XXXX 9999.
                200 - PAN-aadhaar not linked:
                  summary: 200 - PAN-aadhaar not linked
                  value:
                    code: 200
                    timestamp: 1000000000000
                    transaction_id: 42a18b62-9be5-4173-9883-8cba620b7cef
                    data:
                      '@entity': in.co.sandbox.kyc.pan_aadhaar.status.response
                      aadhaar_seeding_status: 'n'
                      message: PAN not linked with Aadhaar
                200 - Invalid Aadhaar:
                  summary: 200 - Invalid Aadhaar
                  value:
                    code: 200
                    timestamp: 1000000000000
                    transaction_id: bfad0d71-21f5-4066-b1b8-1589da33b19e
                    data:
                      '@entity': in.co.sandbox.kyc.pan_aadhaar.status.response
                      aadhaar_seeding_status: 'n'
                      message: Please enter a valid Aadhaar Number
                200 - Invalid PAN:
                  summary: 200 - Invalid PAN
                  value:
                    code: 200
                    timestamp: 1000000000000
                    transaction_id: 6a348ca6-adb7-441a-8abf-bbcde1a87c1d
                    data:
                      '@entity': in.co.sandbox.kyc.pan_aadhaar.status.response
                      aadhaar_seeding_status: 'n'
                      message: PAN does not exist
          headers: {}
        '422':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties: {}
              examples:
                422 - Individual pan required:
                  summary: 422 - Individual pan required
                  value:
                    code: 422
                    timestamp: 1000000000000
                    transaction_id: 6f1ed927-879b-4519-88b6-2059ece4145a
                    message: Individuals PAN is required
                422 - Invalid pan pattern:
                  summary: 422 - Invalid pan pattern
                  value:
                    code: 422
                    timestamp: 1000000000000
                    transaction_id: 457acce3-f417-4cec-a3d4-364950ffc424
                    message: Invalid PAN pattern
                422 - Consent is required:
                  summary: 422 - Consent is required
                  value:
                    code: 422
                    timestamp: 1000000000000
                    transaction_id: 713b76de-a033-4ffb-92d5-b86971ebf305
                    message: 'invalid parameter: Consent is required.'
          headers: {}
      deprecated: false
      security: []

````